CircularRendererContext (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.CircularRendererContext interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Interface CircularRendererContext

All Known Implementing Classes:
  SubCircularRendererContext

    public interface CircularRendererContext

A context providing information for rendering sequences into circular coordinate systems.

Note: All angles are measured in radians, using the normal Java graphics concepts of angles.

Since:
  1.4
Author:
  Matthew Pocock

Method Summary
`double` | `getAngle(int indx)` Return the angle for an index into a sequence.
`FeatureHolder` | `getFeatures()` The features to render.
`int` | `getIndex(double angle)` Calculate the position in the sequence relating to the angle.
`double` | `getOffset()` Get the angle through which the origin of the sequence is rotated through.
`double` | `getRadius()` Get the current radius at which data should be rendered.
`SymbolList` | `getSymbols()` The SymbolList that is currently rendered by this context.

Method Detail

### getOffset

    double getOffset()

  Get the angle through which the origin of the sequence is rotated through.

  This is equivalent to adding the offset to all calculated angles.

  Returns:
    the rotation offset

### getAngle

    double getAngle(int indx)

  Return the angle for an index into a sequence.

  Parameters:
    `indx` - the sequence offset
  Returns:
    the angle this offset is to be rendered to

### getIndex

    int getIndex(double angle)

  Calculate the position in the sequence relating to the angle.

  Parameters:
    `angle` - the angle arround the circle
  Returns:
    the index of the symbol rendered at that angle

### getRadius

    double getRadius()

  Get the current radius at which data should be rendered.

  Returns:
    the radius

### getSymbols

    SymbolList getSymbols()

  The SymbolList that is currently rendered by this context.

  Returns:
    the Sequence value

### getFeatures

    FeatureHolder getFeatures()

  The features to render.

  Returns:
    a FeatureHolder with the Features to render

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD